Organizations
Get all organizations. Only accessible to admin users.
Get all organizations. Required permissions: ManageOrganizations
GET
/
api
/
organizations
/
v1
/
organizations
/
all
Get all organizations. Only accessible to admin users.
curl --request GET \
--url https://mycluster.domino.tech/api/organizations/v1/organizations/all \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/organizations/v1/organizations/all"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/organizations/v1/organizations/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
},
"orgs": [
{
"id": "623132867a0af0281c01a69c",
"members": [
{
"organizationRole": "member",
"userId": "6234c9542bc6731e3471ade8"
}
],
"name": "MyOrg",
"defaultEnvironmentId": "6231327c7a0af0281c01a65f"
}
]
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Query Parameters
Optional value to filter organization names with.
Optional value to filter organizations that only a user belongs to
How many orgs from the start to skip. Defaults to 0.
Max number of orgs to fetch. Defaults to 10.
Last modified on August 18, 2026
Related topics
Get all Gen AI endpoints accessible by the userGet all active Gateway LLMs accessible by the userGet the Organizations for a userSharing and accessWas this page helpful?
⌘I
Get all organizations. Only accessible to admin users.
